<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<Application>

  <Header>
    <Version val="10001"/>
    <WithIsn val="Y"/>
    <_InternalTask val="N"/>
    <IsRoot val="N"/>
    <InIndex val="N"/>
  </Header>

  <ProgramsRepository>
    <Programs>
      <Task MainProgram="N">
        <Header Description="エラー画面作成" ISN_2="1" LastIsn="3" id="163">
          <ExecutionRight comp="-1"/>
          <Resident val="N"/>
          <SQL val="N"/>
          <ReturnValue>
            <TSK_PARAMS val="2"/>
            <ParametersCount val="2"/>
            <ParametersAttributes ParametersAttributes="AN"/>
          </ReturnValue>
          <SqlWhereExist val="N"/>
          <TaskType val="B"/>
          <External val="N"/>
          <FormType val="N"/>
          <LastModified _date="734018" _time="43940" date="2010/09/03" time="12:12:20"/>
        </Header>
        <ItemIsn val="8"/>
        <Resource>
          <Columns>
            <Column id="1" name="P.処理ID">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_ALPHA"/>
                <Picture valUnicode="32"/>
                <StoredAs val="1"/>
                <Size val="32"/>
                <_Flip/>
              </PropertyList>
            </Column>
            <Column id="2" name="P.エラーコード">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_NUMERIC"/>
                <Picture valUnicode="3"/>
                <_Dec/>
                <_Whole val="3"/>
                <_Negative/>
                <_FieldStyle val="1"/>
              </PropertyList>
            </Column>
            <Column id="3" name="W.HTMLファイル名">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_ALPHA"/>
                <Picture valUnicode="1024"/>
                <StoredAs val="1"/>
                <Size val="1024"/>
                <_Flip/>
              </PropertyList>
            </Column>
            <Column id="10" name="W.エラーメッセージ">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_ALPHA"/>
                <Picture valUnicode="50"/>
                <StoredAs val="1"/>
                <Size val="50"/>
                <_Flip/>
              </PropertyList>
            </Column>
            <Column id="4" name="エラーメッセージ1">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_ALPHA"/>
                <Picture valUnicode="50"/>
                <StoredAs val="1"/>
                <Size val="50"/>
                <_Flip/>
              </PropertyList>
            </Column>
            <Column id="5" name="エラーメッセージ2">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_ALPHA"/>
                <Picture valUnicode="50"/>
                <StoredAs val="1"/>
                <Size val="50"/>
                <_Flip/>
              </PropertyList>
            </Column>
            <Column id="6" name="エラーメッセージ3">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_ALPHA"/>
                <Picture valUnicode="50"/>
                <StoredAs val="1"/>
                <Size val="50"/>
                <_Flip/>
              </PropertyList>
            </Column>
            <Column id="7" name="エラーメッセージ4">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_ALPHA"/>
                <Picture valUnicode="50"/>
                <StoredAs val="1"/>
                <Size val="50"/>
                <_Flip/>
              </PropertyList>
            </Column>
          </Columns>
          <ColumnsLastIsn val="12"/>
        </Resource>
        <Information>
          <Key>
            <Mode val="N"/>
          </Key>
          <DB comp="-1"/>
          <Sort>
            <CLS val="A"/>
          </Sort>
          <ForceRecordDelete DEL="N"/>
          <EndTaskCondition val="Y"/>
          <EvaluateEndCondition val="A"/>
          <InitialMode val="M"/>
          <Locate Direction="A"/>
          <Range Direction="A"/>
          <VarRange/>
          <TaskProperties>
            <SelectionTable val="N"/>
            <ConfirmUpdate CNFU="N"/>
            <ConfirmCancel val="N"/>
            <ErrorStrategy val="A"/>
            <LockingStrategy val="I"/>
            <CacheStrategy val="T"/>
            <ForceRecordSuffix val="N"/>
            <TransactionMode val="P"/>
            <TransactionBegin val="T"/>
            <PreloadView val="N"/>
            <AllowEmptyDataview val="N"/>
            <KeepCreatedContext val="N"/>
          </TaskProperties>
          <SIDE_WIN>
            <AllowOptions val="N"/>
            <AllowQuery val="Y"/>
            <AllowModify val="Y"/>
            <AllowCreate val="Y"/>
            <AllowDelete val="Y"/>
            <AllowLocate val="Y"/>
            <AllowRange val="Y"/>
            <AllowIndexChange val="Y"/>
            <AllowSorting val="Y"/>
            <AllowIOFiles val="Y"/>
            <RecordCycle val="Y"/>
            <AllowEvents val="Y"/>
            <AllowIndexOptimization val="Y"/>
            <AllowLocationInQuery val="Y"/>
            <AllowPrintingData val="N"/>
          </SIDE_WIN>
          <WIN>
            <OpenTaskWindow val="N"/>
            <CloseTaskWindow val="Y"/>
            <ForegroundWindow val="Y"/>
            <FlipFld val="N"/>
            <RefreshTaskWindow ReturnValue="N"/>
          </WIN>
          <BOX>
            <Direction val="V"/>
          </BOX>
        </Information>
        <TaskLogic>
          <LogicUnit id="2" propagate="78">
            <Level val="R"/>
            <Type val="M"/>
            <_DspTemplate val="0"/>
            <_HeaderPosition val="1"/>
            <Scope val="S"/>
            <EngineDirective val="S"/>
            <ShowMessage val="Y"/>
            <Condition val="89"/>
            <_TotalVariabls val="8"/>
            <_TotalVirtuals val="8"/>
            <PRM_LEN val="2"/>
            <Event>
              <EventType val="S"/>
              <PublicObject comp="-1"/>
            </Event>
            <LogicLines>
              <LogicLine>
                <DATAVIEW_SRC FlowIsn="2" Type="M">
                  <Condition val="N"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </DATAVIEW_SRC>
              </LogicLine>
              <LogicLine>
                <Select FieldID="1" FlowIsn="3" id="1">
                  <Column val="1"/>
                  <Type val="V"/>
                  <IsParameter val="Y"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="2" FlowIsn="4" id="2">
                  <Column val="2"/>
                  <Type val="V"/>
                  <IsParameter val="Y"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="5">
                  <Type val="1"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <Select FieldID="3" FlowIsn="6" id="3">
                  <Column val="3"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="7">
                  <Type val="1"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <Select FieldID="4" FlowIsn="8" id="4">
                  <Column val="4"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="N"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="9">
                  <Type val="0"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="10">
                  <Type val="0"/>
                  <Text val="//以下はマスタを参照できない場合があるエラーのメッセージ"/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <Select FieldID="5" FlowIsn="11" id="5">
                  <ASS val="2"/>
                  <Column val="5"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="6" FlowIsn="12" id="6">
                  <ASS val="3"/>
                  <Column val="6"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="7" FlowIsn="13" id="7">
                  <ASS val="4"/>
                  <Column val="7"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="8" FlowIsn="14" id="8">
                  <ASS val="5"/>
                  <Column val="8"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
            </LogicLines>
          </LogicUnit>
          <LogicUnit id="3" propagate="78">
            <Level val="R"/>
            <Type val="S"/>
            <_DspTemplate val="0"/>
            <_HeaderPosition val="10"/>
            <Scope val="S"/>
            <EngineDirective val="S"/>
            <ShowMessage val="Y"/>
            <Condition val="89"/>
            <Event>
              <EventType val="S"/>
              <PublicObject comp="-1"/>
            </Event>
            <Expanded val="1"/>
            <LogicLines>
              <LogicLine>
                <Update FlowIsn="15">
                  <FieldID val="3"/>
                  <WithValue val="1"/>
                  <Incremental val="N"/>
                  <ForcedUpdate val="Y"/>
                  <Condition val="Y"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </Update>
              </LogicLine>
              <LogicLine>
                <CallTask FlowIsn="16">
                  <OperationType val="T"/>
                  <TaskID comp="-1" obj="3"/>
                  <Lock val="N"/>
                  <Arguments>
                    <Argument>
                      <id val="1"/>
                      <Variable val="4"/>
                      <Skip val="N"/>
                    </Argument>
                  </Arguments>
                  <Wait val="Y"/>
                  <SyncData val="N"/>
                  <Condition Exp="7"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </CallTask>
              </LogicLine>
              <LogicLine>
                <CallTask FlowIsn="17">
                  <OperationType val="T"/>
                  <TaskID comp="-1" obj="2"/>
                  <Lock val="N"/>
                  <Arguments>
                    <Argument>
                      <id val="2"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                  </Arguments>
                  <Wait val="Y"/>
                  <SyncData val="N"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </CallTask>
              </LogicLine>
            </LogicLines>
          </LogicUnit>
        </TaskLogic>
        <TaskForms>
          <FormEntry id="2">
            <PropertyList model="FORM_GUI0">
              <_Comment/>
              <FormName valUnicode="エラー画面作成"/>
              <UserStateIdentifier/>
            </PropertyList>
          </FormEntry>
        </TaskForms>
        <Expressions>
          <Expression id="1">
            <ExpSyntax val="Translate('%WorkingDir%')&amp;'errMsg_'&amp;Trim({32768,4})&amp;'.html'"/>
            <ExpAttribute val="A"/>
          </Expression>
          <Expression id="2">
            <ExpSyntax val="'INIに%GCHOME%が設定されていません。'"/>
            <ExpAttribute val="A"/>
          </Expression>
          <Expression id="3">
            <ExpSyntax val="'%GCHOME%が存在しません。'"/>
            <ExpAttribute val="A"/>
          </Expression>
          <Expression id="4">
            <ExpSyntax val="'グラフシステムマスタの格納フォルダが存在しません。'"/>
            <ExpAttribute val="A"/>
          </Expression>
          <Expression id="5">
            <ExpSyntax val="'エラーコードが存在しません。'"/>
            <ExpAttribute val="A"/>
          </Expression>
          <Expression id="6">
            <ExpSyntax val="CASE({0,2},901,{0,5},902,{0,6},903,{0,7},IF({0,4}&lt;>'',{0,4},{0,8}))"/>
            <ExpAttribute val="A"/>
          </Expression>
          <Expression id="7">
            <ExpSyntax val="NOT({0,2}=901 OR {0,2}=902 OR {0,2}=903)"/>
            <ExpAttribute val="B"/>
          </Expression>
        </Expressions>
        <Task MainProgram="N">
          <Header Description="出力" ISN_2="2" id="163">
            <ExecutionRight comp="-1"/>
            <Resident val="N"/>
            <SQL val="N"/>
            <ReturnValue>
              <TSK_PARAMS val="1"/>
              <ParametersCount val="1"/>
              <ParametersAttributes ParametersAttributes="A"/>
            </ReturnValue>
            <SqlWhereExist val="N"/>
            <TaskType val="B"/>
            <External val="N"/>
            <FormType val="N"/>
            <LastModified _date="734018" _time="43940" date="2010/09/03" time="12:12:20"/>
          </Header>
          <ItemIsn val="2"/>
          <Resource>
            <IO id="1">
              <Description val="TXT"/>
              <IOExpression val="1"/>
              <OpenPrintDialog val="N"/>
              <PaperSize val="68"/>
              <Format val="L"/>
              <Media val="I"/>
              <Access val="W"/>
              <Copies val="1"/>
              <Orientation val="P"/>
              <PrintPreview val="N"/>
              <PDF val="N"/>
              <PrintingAllowed val="Y"/>
              <ContentCopyingAllowed val="Y"/>
              <ChangesAllowed val="Y"/>
              <PageLayoutAllowed val="Y"/>
              <Vis2LogTranslation val="N"/>
              <FlipLines val="N"/>
            </IO>
            <Columns>
              <Column id="2" name="P.メッセージ">
                <PropertyList model="FIELD">
                  <Model attr_obj="FIELD_ALPHA"/>
                  <Picture valUnicode="50"/>
                  <StoredAs val="1"/>
                  <Size val="50"/>
                  <_Flip/>
                </PropertyList>
              </Column>
              <Column id="4" name="W.製品情報">
                <PropertyList model="FIELD">
                  <Model attr_obj="FIELD_ALPHA"/>
                  <Picture valUnicode="50"/>
                  <StoredAs val="1"/>
                  <Size val="50"/>
                  <_Flip/>
                </PropertyList>
              </Column>
            </Columns>
            <ColumnsLastIsn val="6"/>
          </Resource>
          <Information>
            <Key>
              <Mode val="N"/>
            </Key>
            <DB comp="-1"/>
            <Sort>
              <CLS val="A"/>
            </Sort>
            <ForceRecordDelete DEL="N"/>
            <EndTaskCondition val="Y"/>
            <EvaluateEndCondition val="A"/>
            <InitialMode val="M"/>
            <Locate Direction="A"/>
            <Range Direction="A"/>
            <VarRange/>
            <TaskProperties>
              <SelectionTable val="N"/>
              <ConfirmUpdate CNFU="N"/>
              <ConfirmCancel val="N"/>
              <ErrorStrategy val="A"/>
              <LockingStrategy val="I"/>
              <CacheStrategy val="N"/>
              <ForceRecordSuffix val="N"/>
              <TransactionMode val="W"/>
              <TransactionBegin val="T"/>
              <PreloadView val="N"/>
              <AllowEmptyDataview val="N"/>
              <KeepCreatedContext val="N"/>
            </TaskProperties>
            <SIDE_WIN>
              <AllowOptions val="N"/>
              <AllowQuery val="Y"/>
              <AllowModify val="Y"/>
              <AllowCreate val="Y"/>
              <AllowDelete val="Y"/>
              <AllowLocate val="Y"/>
              <AllowRange val="Y"/>
              <AllowIndexChange val="Y"/>
              <AllowSorting val="Y"/>
              <AllowIOFiles val="Y"/>
              <RecordCycle val="Y"/>
              <AllowEvents val="Y"/>
              <AllowIndexOptimization val="Y"/>
              <AllowLocationInQuery val="Y"/>
              <AllowPrintingData val="N"/>
            </SIDE_WIN>
            <WIN>
              <OpenTaskWindow val="N"/>
              <CloseTaskWindow val="Y"/>
              <ForegroundWindow val="Y"/>
              <FlipFld val="N"/>
              <RefreshTaskWindow ReturnValue="N"/>
            </WIN>
            <BOX>
              <Direction val="V"/>
            </BOX>
          </Information>
          <TaskLogic>
            <LogicUnit id="2" propagate="78">
              <Level val="R"/>
              <Type val="M"/>
              <_DspTemplate val="0"/>
              <_HeaderPosition val="1"/>
              <Scope val="S"/>
              <EngineDirective val="S"/>
              <ShowMessage val="Y"/>
              <Condition val="89"/>
              <_TotalVariabls val="2"/>
              <_TotalVirtuals val="2"/>
              <PRM_LEN val="1"/>
              <Event>
                <EventType val="S"/>
                <PublicObject comp="-1"/>
              </Event>
              <LogicLines>
                <LogicLine>
                  <DATAVIEW_SRC FlowIsn="2" Type="M">
                    <Condition val="N"/>
                    <Modifier val="B"/>
                    <Direction val="C"/>
                  </DATAVIEW_SRC>
                </LogicLine>
                <LogicLine>
                  <Select FieldID="1" FlowIsn="3" id="1">
                    <Column val="1"/>
                    <Type val="V"/>
                    <IsParameter val="Y"/>
                    <_RecomputeIndex val="1"/>
                    <_FormIndex val="1"/>
                    <_ControlIndex val="1"/>
                    <_OleSubformIdx val="1"/>
                    <_TabbingOrderDspIndex val="1"/>
                    <DIFF_UPDATE val="T"/>
                    <Condition val="Y"/>
                    <Modifier val="S"/>
                    <Direction val="C"/>
                  </Select>
                </LogicLine>
                <LogicLine>
                  <Remark FlowIsn="4">
                    <Type val="0"/>
                    <Text val=" "/>
                  </Remark>
                </LogicLine>
                <LogicLine>
                  <Select FieldID="2" FlowIsn="5" id="2">
                    <ASS val="2"/>
                    <Column val="2"/>
                    <Type val="V"/>
                    <IsParameter val="N"/>
                    <_RecomputeIndex val="1"/>
                    <_FormIndex val="1"/>
                    <_ControlIndex val="1"/>
                    <_OleSubformIdx val="1"/>
                    <_TabbingOrderDspIndex val="1"/>
                    <DIFF_UPDATE val="T"/>
                    <Condition val="Y"/>
                    <Modifier val="S"/>
                    <Direction val="C"/>
                  </Select>
                </LogicLine>
              </LogicLines>
            </LogicUnit>
            <LogicUnit id="3" propagate="78">
              <Level val="R"/>
              <Type val="S"/>
              <_DspTemplate val="0"/>
              <_HeaderPosition val="5"/>
              <Scope val="S"/>
              <EngineDirective val="S"/>
              <ShowMessage val="Y"/>
              <Condition val="89"/>
              <Event>
                <EventType val="S"/>
                <PublicObject comp="-1"/>
              </Event>
              <Expanded val="1"/>
              <LogicLines>
                <LogicLine>
                  <FormIO FlowIsn="6">
                    <OperationType val="O"/>
                    <Page val="A"/>
                    <IODeviceInfo>
                      <IoDeviceIndex val="1"/>
                    </IODeviceInfo>
                    <FormEntryInfo>
                      <FormEntryIndex val="2"/>
                    </FormEntryInfo>
                    <Condition val="Y"/>
                    <Modifier val="B"/>
                    <Direction val="C"/>
                  </FormIO>
                </LogicLine>
              </LogicLines>
            </LogicUnit>
          </TaskLogic>
          <TaskForms>
            <FormEntry id="2">
              <PropertyList model="FORM_GUI0">
                <_Comment/>
                <FormName valUnicode="出力"/>
                <UserStateIdentifier/>
              </PropertyList>
            </FormEntry>
          </TaskForms>
          <TaskForms>
            <FormEntry CLSS="1" _last_isn="30" _last_test_id="39" id="3">
              <PropertyList model="FORM_TEXT">
                <Width val="100"/>
                <Height val="50"/>
                <_Comment/>
                <FormName valUnicode="エラーHTML"/>
              </PropertyList>
              <Control _test_id="1" id="1">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;HTML>"/>
                  <Width val="6"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="2" id="2">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="  &lt;BODY bgcolor=&quot;#B0C4DE&quot; topmargin=&quot;50&quot; STYLE=&quot;overflow: hidden;&quot;>"/>
                  <Top val="1"/>
                  <Width val="67"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="3" id="3">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="    &lt;CENTER>"/>
                  <Top val="2"/>
                  <Width val="12"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="4" id="4">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="      &lt;table border=&quot;0&quot; bgcolor=&quot;#B0C4DE&quot;>"/>
                  <Top val="3"/>
                  <Width val="42"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="19" id="5">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;tr align=center>"/>
                  <Left val="8"/>
                  <Top val="5"/>
                  <Width val="17"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="22" id="6">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;td>"/>
                  <Left val="10"/>
                  <Top val="6"/>
                  <Width val="4"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="15" id="7">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;font size=&quot;5&quot;>"/>
                  <Left val="12"/>
                  <Top val="7"/>
                  <Width val="15"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="16" id="8">
                <PropertyList model="CTRL_TEXT_EDIT">
                  <Model ID="MODEL_TEXTBASE">
                    <Var FieldID="2"/>
                  </Model>
                  <Left val="12"/>
                  <Top val="8"/>
                  <Width val="50"/>
                  <Height val="1"/>
                  <Data FieldID="2"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="17" id="9">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;/font>"/>
                  <Left val="12"/>
                  <Top val="9"/>
                  <Width val="7"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="18" id="10">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;br>&lt;/td>"/>
                  <Left val="10"/>
                  <Top val="10"/>
                  <Width val="9"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="20" id="11">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;/tr>"/>
                  <Left val="8"/>
                  <Top val="11"/>
                  <Width val="5"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="30" id="12">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;tr align=center>"/>
                  <Left val="8"/>
                  <Top val="13"/>
                  <Width val="17"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="31" id="13">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;td>"/>
                  <Left val="10"/>
                  <Top val="14"/>
                  <Width val="4"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="32" id="14">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;font size=&quot;3&quot; color=&quot;#FF0000&quot;>"/>
                  <Left val="12"/>
                  <Top val="15"/>
                  <Width val="31"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="38" id="15">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="エラーコード："/>
                  <Left val="13"/>
                  <Top val="16"/>
                  <Width val="14"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control PDOD="1" _test_id="39" id="16">
                <PropertyList model="CTRL_TEXT_EDIT">
                  <Model ID="MODEL_TEXTBASE">
                    <Var FieldID="2" Parent="1"/>
                  </Model>
                  <Left val="27"/>
                  <Top val="16"/>
                  <Width val="3"/>
                  <Height val="1"/>
                  <Data FieldID="2" Parent="1"/>
                  <MultiLineEdit/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="34" id="17">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;/font>"/>
                  <Left val="12"/>
                  <Top val="17"/>
                  <Width val="7"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="35" id="18">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;br>&lt;/td>"/>
                  <Left val="10"/>
                  <Top val="18"/>
                  <Width val="9"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="36" id="19">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;/tr>"/>
                  <Left val="8"/>
                  <Top val="19"/>
                  <Width val="5"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="21" id="20">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;tr align=center>"/>
                  <Left val="8"/>
                  <Top val="21"/>
                  <Width val="17"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="28" id="21">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;td>"/>
                  <Left val="10"/>
                  <Top val="22"/>
                  <Width val="4"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="23" id="22">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;font size=&quot;3&quot; color=&quot;#FF0000&quot;>"/>
                  <Left val="12"/>
                  <Top val="23"/>
                  <Width val="31"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="8" id="23">
                <PropertyList model="CTRL_TEXT_EDIT">
                  <Model ID="MODEL_TEXTBASE">
                    <Var FieldID="1"/>
                  </Model>
                  <Left val="13"/>
                  <Top val="24"/>
                  <Width val="50"/>
                  <Height val="1"/>
                  <Data FieldID="1"/>
                  <Format valUnicode="50"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="25" id="24">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;/font>"/>
                  <Left val="12"/>
                  <Top val="25"/>
                  <Width val="7"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="26" id="25">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;br>&lt;/td>"/>
                  <Left val="10"/>
                  <Top val="26"/>
                  <Width val="9"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="27" id="26">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;/tr>"/>
                  <Left val="8"/>
                  <Top val="27"/>
                  <Width val="5"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="13" id="27">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="      &lt;/table>"/>
                  <Top val="29"/>
                  <Width val="14"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="5" id="28">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="    &lt;/CENTER>"/>
                  <Top val="30"/>
                  <Width val="13"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="6" id="29">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="  &lt;/BODY>"/>
                  <Top val="31"/>
                  <Width val="9"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
              <Control _test_id="7" id="30">
                <PropertyList model="CTRL_TEXT_STATIC">
                  <Text valUnicode="&lt;/HTML>"/>
                  <Top val="32"/>
                  <Width val="7"/>
                  <Height val="1"/>
                  <_Orientation/>
                </PropertyList>
              </Control>
            </FormEntry>
          </TaskForms>
          <Expressions>
            <Expression id="1">
              <ExpSyntax val="Trim({1,3})"/>
              <ExpAttribute val="A"/>
            </Expression>
            <Expression id="2">
              <ExpSyntax val="'ilsGraphCompornent Ver '&amp;Trim(Str({32768,1},'3'))&amp;'.'&amp;Trim(Str({32768,2},'3'))&amp;'.'&amp;Trim(Str({32768,3},'3'))"/>
              <ExpAttribute val="A"/>
            </Expression>
          </Expressions>
        </Task>
        <Task MainProgram="N">
          <Header Description="メッセージ取得" ISN_2="3" id="163">
            <ExecutionRight comp="-1"/>
            <Resident val="N"/>
            <SQL val="N"/>
            <ReturnValue>
              <TSK_PARAMS val="1"/>
              <ParametersCount val="1"/>
              <ParametersAttributes ParametersAttributes="A"/>
            </ReturnValue>
            <SqlWhereExist val="N"/>
            <TaskType val="B"/>
            <External val="N"/>
            <FormType val="N"/>
            <LastModified _date="734018" _time="40897" date="2010/09/03" time="11:21:37"/>
          </Header>
          <ItemIsn val="3"/>
          <Resource>
            <DB>
              <DataObject comp="-1" obj="33"/>
              <Access val="W"/>
              <Share val="R"/>
              <Open val="N"/>
              <Cache val="Y"/>
              <IdentifyRowModifications val="84"/>
            </DB>
            <Columns>
              <Column id="2" name="Po.メッセージ">
                <PropertyList model="FIELD">
                  <Model attr_obj="FIELD_ALPHA"/>
                  <Picture valUnicode="50"/>
                  <StoredAs val="1"/>
                  <Size val="50"/>
                  <_Flip/>
                </PropertyList>
              </Column>
            </Columns>
            <ColumnsLastIsn val="2"/>
          </Resource>
          <Information>
            <Key>
              <Mode val="N"/>
            </Key>
            <DB comp="-1"/>
            <Sort>
              <CLS val="A"/>
            </Sort>
            <ForceRecordDelete DEL="N"/>
            <EndTaskCondition val="Y"/>
            <EvaluateEndCondition val="A"/>
            <InitialMode val="M"/>
            <Locate Direction="A"/>
            <Range Direction="A"/>
            <VarRange/>
            <TaskProperties>
              <SelectionTable val="N"/>
              <ConfirmUpdate CNFU="N"/>
              <ConfirmCancel val="N"/>
              <ErrorStrategy val="A"/>
              <LockingStrategy val="I"/>
              <CacheStrategy val="N"/>
              <ForceRecordSuffix val="N"/>
              <TransactionMode val="W"/>
              <TransactionBegin val="T"/>
              <PreloadView val="N"/>
              <AllowEmptyDataview val="N"/>
              <KeepCreatedContext val="N"/>
            </TaskProperties>
            <SIDE_WIN>
              <AllowOptions val="N"/>
              <AllowQuery val="Y"/>
              <AllowModify val="Y"/>
              <AllowCreate val="Y"/>
              <AllowDelete val="Y"/>
              <AllowLocate val="Y"/>
              <AllowRange val="Y"/>
              <AllowIndexChange val="Y"/>
              <AllowSorting val="Y"/>
              <AllowIOFiles val="Y"/>
              <RecordCycle val="Y"/>
              <AllowEvents val="Y"/>
              <AllowIndexOptimization val="Y"/>
              <AllowLocationInQuery val="Y"/>
              <AllowPrintingData val="N"/>
            </SIDE_WIN>
            <WIN>
              <OpenTaskWindow val="N"/>
              <CloseTaskWindow val="Y"/>
              <ForegroundWindow val="Y"/>
              <FlipFld val="N"/>
              <RefreshTaskWindow ReturnValue="N"/>
            </WIN>
            <BOX>
              <Direction val="V"/>
            </BOX>
          </Information>
          <TaskLogic>
            <LogicUnit id="2" propagate="78">
              <Level val="R"/>
              <Type val="M"/>
              <_DspTemplate val="0"/>
              <_HeaderPosition val="1"/>
              <Scope val="S"/>
              <EngineDirective val="S"/>
              <ShowMessage val="Y"/>
              <Condition val="89"/>
              <_TotalVariabls val="3"/>
              <_TotalVirtuals val="1"/>
              <PRM_LEN val="1"/>
              <Event>
                <EventType val="S"/>
                <PublicObject comp="-1"/>
              </Event>
              <LogicLines>
                <LogicLine>
                  <DATAVIEW_SRC FlowIsn="2" Type="M">
                    <Condition val="N"/>
                    <Modifier val="B"/>
                    <Direction val="C"/>
                  </DATAVIEW_SRC>
                </LogicLine>
                <LogicLine>
                  <Remark FlowIsn="3">
                    <Type val="0"/>
                    <Text val="//環境が存在しない場合にテーブルが参照できないため、別タスクで値を取得"/>
                  </Remark>
                </LogicLine>
                <LogicLine>
                  <Select FieldID="1" FlowIsn="4" id="1">
                    <Column val="1"/>
                    <Type val="V"/>
                    <IsParameter val="Y"/>
                    <_RecomputeIndex val="1"/>
                    <_FormIndex val="1"/>
                    <_ControlIndex val="1"/>
                    <_OleSubformIdx val="1"/>
                    <_TabbingOrderDspIndex val="1"/>
                    <DIFF_UPDATE val="T"/>
                    <Condition val="Y"/>
                    <Modifier val="S"/>
                    <Direction val="C"/>
                  </Select>
                </LogicLine>
                <LogicLine>
                  <Remark FlowIsn="5">
                    <Type val="1"/>
                    <Text val=" "/>
                  </Remark>
                </LogicLine>
                <LogicLine>
                  <LNK Direction="A" EVL_CND="R" FlowIsn="6" Key="2" Mode="R" SortType="8" VIEW="2" VIEWS="2">
                    <DB comp="-1" obj="33"/>
                    <Expanded val="1"/>
                    <Condition val="Y"/>
                  </LNK>
                </LogicLine>
                <LogicLine>
                  <Select FieldID="2" FlowIsn="7" id="2">
                    <Column val="3"/>
                    <Type val="R"/>
                    <IsParameter val="N"/>
                    <Locate MAX="1" MIN="1"/>
                    <_RecomputeIndex val="1"/>
                    <_FormIndex val="1"/>
                    <_ControlIndex val="1"/>
                    <_OleSubformIdx val="1"/>
                    <_TabbingOrderDspIndex val="1"/>
                    <DIFF_UPDATE val="T"/>
                    <Condition val="N"/>
                    <Modifier val="S"/>
                    <Direction val="C"/>
                  </Select>
                </LogicLine>
                <LogicLine>
                  <Select FieldID="3" FlowIsn="8" id="3">
                    <Column val="4"/>
                    <Type val="R"/>
                    <IsParameter val="N"/>
                    <_RecomputeIndex val="1"/>
                    <_FormIndex val="1"/>
                    <_ControlIndex val="1"/>
                    <_OleSubformIdx val="1"/>
                    <_TabbingOrderDspIndex val="1"/>
                    <DIFF_UPDATE val="T"/>
                    <Condition val="N"/>
                    <Modifier val="S"/>
                    <Direction val="C"/>
                  </Select>
                </LogicLine>
                <LogicLine>
                  <END_LINK FlowIsn="9"/>
                </LogicLine>
              </LogicLines>
            </LogicUnit>
            <LogicUnit id="3" propagate="78">
              <Level val="R"/>
              <Type val="S"/>
              <_DspTemplate val="0"/>
              <_HeaderPosition val="9"/>
              <Scope val="S"/>
              <EngineDirective val="S"/>
              <ShowMessage val="Y"/>
              <Condition val="89"/>
              <Event>
                <EventType val="S"/>
                <PublicObject comp="-1"/>
              </Event>
              <Expanded val="1"/>
              <LogicLines>
                <LogicLine>
                  <Update FlowIsn="10">
                    <FieldID val="1"/>
                    <WithValue val="2"/>
                    <Incremental val="N"/>
                    <ForcedUpdate val="Y"/>
                    <Condition val="Y"/>
                    <Modifier val="B"/>
                    <Direction val="C"/>
                  </Update>
                </LogicLine>
              </LogicLines>
            </LogicUnit>
          </TaskLogic>
          <TaskForms>
            <FormEntry id="2">
              <PropertyList model="FORM_GUI0">
                <_Comment/>
                <FormName valUnicode="メッセージ取得"/>
                <UserStateIdentifier/>
              </PropertyList>
            </FormEntry>
          </TaskForms>
          <Expressions>
            <Expression id="1">
              <ExpSyntax val="{1,2}"/>
              <ExpAttribute val="N"/>
            </Expression>
            <Expression id="2">
              <ExpSyntax val="{0,3}"/>
              <ExpAttribute val="A"/>
            </Expression>
          </Expressions>
        </Task>
      </Task>
    </Programs>
  </ProgramsRepository>

</Application>
